modules-abi
Get ABI and version for common node runtimes (node, NW.js, Electron)
Last updated 5 days ago by armaldio .
MIT · Repository · Original npm · Tarball · package.json
$ cnpm install modules-abi 
SYNC missed versions from official npm registry.

modules-abi

Easily query abi and target versions of common desktop runtimes (electron, nw.js, node)

Install

$ npm install modules-abi
$ yarn add modules-abi

Usage

const abis = require('modules-abi');

To view detailled informations about the API, please see the documentation

Comparison to node-abi

node-abi is:

  • hand-written (require pull requests to update, slow updates)
  • it's not always up to date
  • it's missing a lot of versions
  • it's missing nw.js versions

Current Tags

  • 0.3.0                                ...           latest (5 days ago)

11 Versions

  • 0.3.0                                ...           5 days ago
  • 0.2.1                                ...           19 days ago
  • 0.2.0                                ...           a month ago
  • 0.1.7                                ...           a month ago
  • 0.1.6                                ...           a month ago
  • 0.1.5                                ...           a month ago
  • 0.1.4                                ...           a month ago
  • 0.1.3                                ...           a month ago
  • 0.1.2                                ...           a month ago
  • 0.1.1                                ...           a month ago
  • 0.1.0                                ...           a month ago
Maintainers (1)
Downloads
Today 0
This Week 25
This Month 35
Last Day 0
Last Week 10
Last Month 155
Dependencies (2)
Dev Dependencies (8)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |